An intrinsic object that provides functions to convert JavaScript values to and from the JavaScript Object Notation (JSON) format.

### Hierarchy

- JSON

## Index

### Methods

- parse
- stringify

## Methods

### parse

- parse(text: string, reviver?: undefined | function): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1049

  Converts a JavaScript Object Notation (JSON) string into an object.

  #### Parameters

  - ##### text: string

    A valid JSON string.

  - ##### Optional reviver: undefined | function

    A function that transforms the results. This function is called for each member of the object. If a member contains nested objects, the nested objects are transformed before the parent object is.

  #### Returns any

### stringify

- stringify(value: any, replacer?: undefined | function, space?: string | number): string
- stringify(value: any, replacer?: (string | number)[] | null, space?: string | number): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1056

  Converts a JavaScript value to a JavaScript Object Notation (JSON) string.

  #### Parameters

  - ##### value: any

    A JavaScript value, usually an object or array, to be converted.

  - ##### Optional replacer: undefined | function

    A function that transforms the results.

  - ##### Optional space: string | number

    Adds indentation, white space, and line break characters to the return-value JSON text to make it easier to read.

  #### Returns string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1063

  Converts a JavaScript value to a JavaScript Object Notation (JSON) string.

  #### Parameters

  - ##### value: any

    A JavaScript value, usually an object or array, to be converted.

  - ##### Optional replacer: (string | number)[] | null

    An array of strings and numbers that acts as a approved list for selecting the object properties that will be stringified.

  - ##### Optional space: string | number

    Adds indentation, white space, and line break characters to the return-value JSON text to make it easier to read.

  #### Returns string

Generated using TypeDoc